Bug 212393 - cman init script does not have /etc/sysconfig/* for configurable variables
cman init script does not have /etc/sysconfig/* for configurable variables
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks: 212474
  Show dependency treegraph
 
Reported: 2006-10-26 12:48 EDT by Lon Hohberger
Modified: 2009-04-16 18:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:58:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (2.10 KB, patch)
2006-10-26 12:48 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2006-10-26 12:48:56 EDT
Description of problem:

The standard convention of our initscripts is to put all user-serviceable
variables in /etc/sysconfig/[name], set reasonable defaults in the initscript
itself, and import /etc/sysconfig/[name] at the beginning of the initscript
after setting defaults.

This allows the variables in /etc/sysconfig/[name] to be user-configurable,
while still allowing distributors to make updates to the actual initscript as
necessary without affecting customer configuration changes.

Version-Release number of selected component (if applicable): current/cvs/rhel5

How reproducible: Nothing to produce
Comment 1 Lon Hohberger 2006-10-26 12:48:56 EDT
Created attachment 139486 [details]
Patch
Comment 2 Christine Caulfield 2006-10-30 08:20:53 EST
Thanks Lon.

Checking in cman;
/cvs/cluster/cluster/cman/init.d/cman,v  <--  cman
new revision: 1.26; previous revision: 1.25
done
Comment 3 Kiersten (Kerri) Anderson 2007-04-23 12:47:14 EDT
Fixing Product Name.  Cluster Suite was merged into Red Hat Enterpise Linux for
5.0.  In addition dlm, fence and ccs were merged into the cman package, so
bugzilla should reflect package name where those utilities are located.
Comment 5 RHEL Product and Program Management 2007-05-01 12:26:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2007-05-01 12:26:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2007-11-07 11:58:53 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html

Note You need to log in before you can comment on or make changes to this bug.